#!/bin/sh
# $Id: update.sh 403 2003-08-07 03:56:18Z miles $

LISP="sbcl --noinform --disable-debugger"
WORKDIR=`dirname $0`
LISTDIR=$WORKDIR/lists
DOCROOT=$WORKDIR/docroot
INDENT=false
VERBOSE=false

usage () {
    cat <<USAGE
usage: update.sh [options] [lists]
options: 
    --indent generate indented html output
    --verbose generate extra output
USAGE
    exit 1
}

while [ $# -gt 0 ]; do 
    case $1 in
        --indent)
            INDENT=true
            shift
            ;;
        --verbose)
            VERBOSE=true
            shift
            ;;
        *)
            LISTS="$*"
            break
            ;;
    esac
done

if [ $# -lt 1 ]; then
    usage
fi

LISTS=""
for LIST in $@; do
    LISTS="$LISTS $LISTDIR/$LIST"
done
$LISP --load $WORKDIR/src/macho.lisp $WORKDIR/src/ $INDENT $VERBOSE $LISTS
